
From: Anton Blanchard <anton@samba.org>

The ppc64 NUMA code has a sign extension problem. We would sign extend
tmp1 when assigning it to start. Fix this by making tmp1 unsigned.



 25-akpm/arch/ppc64/mm/numa.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/mm/numa.c~ppc64-numa-sign-extension-fix arch/ppc64/mm/numa.c
--- 25/arch/ppc64/mm/numa.c~ppc64-numa-sign-extension-fix	Wed Nov 19 11:47:25 2003
+++ 25-akpm/arch/ppc64/mm/numa.c	Wed Nov 19 11:47:25 2003
@@ -108,7 +108,7 @@ static int __init parse_numa_properties(
 
 	for (memory = find_type_devices("memory"); memory;
 	     memory = memory->next) {
-		int *tmp1, *tmp2;
+		unsigned int *tmp1, *tmp2;
 		unsigned long i;
 		unsigned long start = 0;
 		unsigned long size = 0;

_
